CATMAN(8)

NOM
catman - produit ou met à jour les pages de manuel préformatées

SYNOPSIS
catman [-dhV] [-M chemin] [-C fichier] [section] ...

DESCRIPTION
catman est utilisé pour créer et mettre à jour l'ensemble des pages de manuel préformatées, connues sous le nom de pages « cat ». Les pages « cat » sont, en général, plus rapides à afficher que les pages de manuel d'origine mais requièrent un espace de stockage supplémentaire. La décision de gérer, ou non, les pages « cat » est de la responsabilité de l'administrateur local qui doit créer les répertoires nécessaires à leur stockage. Les options de catman permettent de préciser les structures hiérarchiques de pages de manuel, ainsi que les sections, à préformater. Les structures hiérarchiques des pages traitées par défaut sont celles spécifiées comme structures hiérarchiques « système » dans le fichier de configuration de man-db. Les sections par défaut sont celles, séparées par des « : », contenues dans la variable d'environnement $MANSECT. Si $MANSECT n'est pas définie alors la liste standard, compilée dans man, sera utilisée. La présence de plusieurs sections, séparées par des blancs (whitespace), dans la commande catman, remplacera les deux valeurs par défaut précédentes. catman utilise la base de données d'indexation, associée à chaque structure hiérarchique de pages de manuel, pour déterminer quels sont les fichiers qui doivent être formatés.

OPTIONS

-d, --debug
    Affiche les informations de mise au point.

-M liste_de_chemins, --manpath=liste_de_chemins
    Indique la liste des chemins d'accès aux structures hiérarchiques des pages de manuel. Les éléments de cette liste doivent être séparés par « : ». Par défaut, il s'agit de l'ensemble des chemins correspondants aux structures hiérarchiques « système », indiqués dans le fichier de configuration de man-db.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier par défaut ~/.manpath.

-h, --help
    Affiche un message d'aide et s'arrête.

-V, --version
    Affiche le numéro de version.

ENVIRONNEMENT

MANSECT
    Si $MANSECT est définie, sa valeur est une liste de sections, séparées par « : ». Cette liste est utilisée pour déterminer dans quelles sections de manuel, et dans quel ordre la recherche doit s'effectuer.

MANPATH
    Si $MANPATH est définie, sa valeur est interprétée comme une liste d'éléments, séparés par « : », représentant les chemins d'accès aux structures hiérarchiques de pages de manuel.

FICHIERS

/etc/manpath.config
    Fichier de configuration de man-db.

/usr/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/catman/index.(bt|db|dir|pag)
    Base de données d'indexation globale de remplacement ou conforme à FSSTND.

VOIR AUSSI
man(1), manpath(5), mandb(8).

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).

TRADUCTION
Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande « man -L en nom_de_la_page ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.